***********************************************************
*           us{cc̑I헪Ɠ[v                      *
*                   @CAT 51 2012NH                              *
*                ͗p   SPSS V^bNXEt@C                       *
*                                                                                                    *
*                    (c)2012 Yoshitaka Nishizawa                               *
***********************************************************.
 
************************************************************
************************************************************
* ӎ̕
************************************************************
************************************************************.
 
GET 
  FILE='SOLaR2010_release3_2012May10_v1.sav'.

************************************************************
* f[^̏C
************************************************************.
if (id eq 1394) Mcands=2.

************************************************************
* u{IœIcv̒`ɊYȂP[XiJ
*  グEIȂǂł̓Ij𕪐͂珜O
************************************************************.
select if (
 id ne 214 and 
 id ne 217 and 
 id ne 331 and 
 id ne 708 and 
 id ne 795 and 
 id ne 939 and 
 id ne 1323 and 
 id ne 1374 and 
 id ne 2129 and 
 id ne 2424 and 
 id ne 2582 and 
 id ne 206 and 
 id ne 223 and 
 id ne 981 and 
 id ne 1251 and 
 id ne 775).
execute.

************************************************************
* STATAւ̏o͂̂߂ɁAlR[h1i-99jɓ
************************************************************.
recode  
 q1_1_1 to q1_1_16,
 q1_2_1 to q1_2_16,
 q2_1_1 to q2_1_15,
 q2_2_1 to q2_2_15,
 q3 to q3sq5,
 q4_1st to q4_5th,
 q5_1st to q5_3rd,
 q6a to q7f,
 q8a_1 to q8f_9,
 q9a_1 to q9f_9,
 q10a1st to q10d5th,
 q11a to q11f,
 q12a, q12b_1 to q12b_7,
 q13_1 to q13_2f,
 q14a to q14h,
 q15a1st to q15f3rd,
 q16a to q17_2f,
 q18a, q18b,
 q19a to q30
 (-88=-99)(else=copy).
execute.

************************************************************
* l̎w
************************************************************.
missing values 
 q1_1_1 to q1_1_16,
 q1_2_1 to q1_2_16,
 q2_1_1 to q2_1_15,
 q2_2_1 to q2_2_15,
 q3 to q3sq5,
 q4_1st to q4_5th,
 q5_1st to q5_3rd,
 q6a to q7f,
 q8a_1 to q8f_9,
 q9a_1 to q9f_9,
 q10a1st to q10d5th,
 q11a to q11f,
 q12a, q12b_1 to q12b_7,
 q13_1 to q13_2f,
 q14a to q14h,
 q15a1st to q15f3rd,
 q16a to q17_2f,
 q18a, q18b,
 q19a to q30
 (-99).
**************.

************************************************************
*  \1@I-I萔Ɩ[iYj
************************************************************.
fre Mdistsize.
compute excand=Mcands-Mdistsize.
crosstabs tables=excand by Mdistsize
 /cells count column.

************************************************************
*  \2@I-萔̌Ґ
************************************************************.
fre excand.

************************************************************
*  \3@I󋵂ɊւLqviYj
************************************************************.
des Mdistsize Mcands excand.

************************************************************
*  \4@[ɊւLqv
************************************************************.
compute DVshare=Mvotes/(Mtotalvotes/(Mdistsize +1))*100.
des Mvotes DVshare.

************************************************************
*  \5@[VFA̕z
************************************************************.
compute DVshare100=trunc(DVshare/10) * 10.
fre DVshare100.

************************************************************
*  \6@[VFA]ϐƂAfFx[Xf
************************************************************.
*****************
* }
*****************.
recode pty (3 thru 3.9=3)(11 thru highest=11)(else=copy) into pty11.

compute dpj=0.
if (pty11 = 2) dpj=1.
compute ldp=0.
if (pty11 = 3) ldp=1.
compute cgp=0.
if (pty11 = 4) cgp=1.
compute sdp=0.
if (pty11 = 5) sdp=1.
compute jcp=0.
if (pty11 = 6) jcp=1.
compute loc=0.
if (pty11=7 or pty11=8 or pty11=11) loc=1.

temporary.
select if (Mvotes >= 1).
freq dpj ldp cgp sdp jcp.

*****************
* ꎟYƏAƎҗ
*****************.
compute prim=ci12005/cemp2005*100.
compute dpj_prim=dpj*prim.
compute ldp_prim=ldp*prim.

*****************
* ITCYʕϐ
*****************.
compute Dist3catego=-9.
if (Mdistsize = 1 and Mvotes >=1) Dist3catego=1.
if ((Mdistsize = 2 or Mdistsize =3) and Mvotes >=1) Dist3catego=2.
if (Mdistsize >= 4 and Mvotes >=1) Dist3catego=4.
missing values  Dist3catego (-9).

*****************
* A
*****************.
sort cases by Dist3catego.
split file by Dist3catego.
reg var DVshare age Mterms Mcands
 dpj ldp cgp sdp jcp prim
 dpj_prim ldp_prim
/dep DVshare
/enter.
split file off.

************************************************************
*  \7@LȐX^CFq͂ɂ鐮
************************************************************.
do repeat
  act=pt5 rec5 net5 tsu5 koh5 tel5 pos5 iss5 lev5 evn5 it5
 /n  =1 to 11. 
compute act=0.
if (q4_1st =n or q4_2nd =n or q4_3rd =n or q4_4th =n or q4_5th =n) act=1.
end repeat.

temporary.
select if (Mvotes >= 1).
fre pt5 to it5.

temporary.
select if (Mvotes >= 1).
fac var= pt5 to it5
 /save reg (4, polact).

************************************************************
*  \8@[VFA]ϐƂAfFLȐ
************************************************************.
*****************
* XRA[ƔÑC^[ANV
*****************.
compute a_pol1=age * polact1.
compute a_pol2=age * polact2.
compute a_pol3=age * polact3.
compute a_pol4=age * polact4.

*****************
* A
*****************.
sort cases by Dist3catego.
split file by Dist3catego.
reg var DVshare age Mterms Mcands
 dpj ldp cgp sdp jcp prim
 dpj_prim ldp_prim
 polact1 to polact4
 a_pol1 to a_pol4
/dep DVshare
/enter.
split file off.

************************************************************
*  \9@LȑI^Fq͂ɂ鐮
************************************************************.
do repeat
  camp=car phone rally issue poster
 /n  =1 to 5. 
compute camp=0.
if (q5_1st =n or q5_2nd =n or q5_3rd =n) camp=1.
end repeat.

temporary.
select if (Mvotes >= 1).
fre car to poster.

temporary.
select if (Mvotes >= 1).
fac var= car to poster
 /save reg (3, camact).

************************************************************
*  \10@[VFA]ϐƂAfFLȑI^
************************************************************.
*****************
* I^XRA[ƔÑC^[ANV
*****************.
compute a_cam1=age * camact1.
compute a_cam2=age * camact2.
compute a_cam3=age * camact3.

*****************
* A
*****************.
sort cases by Dist3catego.
split file by Dist3catego.
reg var DVshare age Mterms Mcands
 dpj ldp cgp sdp jcp prim
 dpj_prim ldp_prim
 camact1 to camact3
 a_cam1 to a_cam3
/dep DVshare
/enter.
split file off.

************************************************************
*  \11@[VFA]ϐƂAfF󂯂Ix
************************************************************.
*****************
* 󂯂x̏Wv
*****************.
compute sup_shugi=sum(q8a_1 to q8a_7).
compute sup_sangi=sum(q8b_1 to q8b_7).
compute sup_govnr=sum(q8c_1 to q8c_7).
compute sup_mayor=sum(q8e_1 to q8e_7).
compute sup_cityr=sum(q8f_1 to q8f_7).

*****************
* i_̂񓚎҂̏Oj
*****************.
compute s_a1to8=sum(q8a_1 to q8a_8).
compute s_b1to8=sum(q8b_1 to q8b_8).
compute s_c1to8=sum(q8c_1 to q8c_8).
compute s_e1to8=sum(q8e_1 to q8e_8).
compute s_f1to8=sum(q8f_1 to q8f_8).

if ((s_a1to8 ge 1 and q8a_9 eq 1) or (s_a1to8 =0 and q8a_9=0)) sup_shugi=-9.
if ((s_b1to8 ge 1 and q8b_9 eq 1) or (s_b1to8 =0 and q8b_9=0)) sup_sangi=-9.
if ((s_c1to8 ge 1 and q8c_9 eq 1) or (s_c1to8 =0 and q8c_9=0)) sup_govnr=-9.
if ((s_e1to8 ge 1 and q8e_9 eq 1) or (s_e1to8 =0 and q8e_9=0)) sup_mayor=-9.
if ((s_f1to8 ge 1 and q8f_9 eq 1) or (s_f1to8 =0 and q8f_9=0)) sup_cityr=-9.

missing values sup_shugi sup_sangi sup_govnr sup_mayor sup_cityr (-9).

temporary.
select if (Mvotes >= 1).
des sup_shugi sup_sangi sup_govnr sup_mayor sup_cityr.

*****************
* 󂯂xƔÑC^[ANV
*****************.
compute a_s_shugi=age * sup_shugi.
compute a_s_sangi=age * sup_sangi.
compute a_s_govnr=age * sup_govnr.
compute a_s_mayor=age * sup_mayor.
compute a_s_cityr   =age * sup_cityr.

*****************
* A
*****************.
sort cases by Dist3catego.
split file by Dist3catego.
reg var DVshare age Mterms Mcands
 dpj ldp cgp sdp jcp prim
 dpj_prim ldp_prim
 sup_shugi sup_sangi sup_govnr sup_mayor sup_cityr
 a_s_shugi to a_s_cityr
/dep DVshare
/enter.
split file off.


************************************************************
*  \12@[VFA]ϐƂAfFsIx
************************************************************.
*****************
* sx̏Wv
*****************.
compute hel_shugi=sum(q9a_1 to q9a_7).
compute hel_sangi=sum(q9b_1 to q9b_7).
compute hel_govnr=sum(q9c_1 to q9c_7).
compute hel_mayor=sum(q9e_1 to q9e_7).
compute hel_cityr=sum(q9f_1 to q9f_7).

*****************
* i_̂񓚎҂̏Oj
*****************.
compute h_a1to8=sum(q9a_1 to q9a_8).
compute h_b1to8=sum(q9b_1 to q9b_8).
compute h_c1to8=sum(q9c_1 to q9c_8).
compute h_e1to8=sum(q9e_1 to q9e_8).
compute h_f1to8=sum(q9f_1 to q9f_8).

if ((h_a1to8 ge 1 and q9a_9 eq 1) or (h_a1to8 =0 and q9a_9=0)) hel_shugi=-9.
if ((h_b1to8 ge 1 and q9b_9 eq 1) or (h_b1to8 =0 and q9b_9=0)) hel_sangi=-9.
if ((h_c1to8 ge 1 and q9c_9 eq 1) or (h_c1to8 =0 and q9c_9=0)) hel_govnr=-9.
if ((h_e1to8 ge 1 and q9e_9 eq 1) or (h_e1to8 =0 and q9e_9=0)) hel_mayor=-9.
if ((h_f1to8 ge 1 and q9f_9 eq 1) or (h_f1to8 =0 and q9f_9=0)) hel_cityr=-9.

missing values hel_shugi hel_sangi hel_govnr hel_mayor hel_cityr (-9).

temporary.
select if (Mvotes >= 1).
des hel_shugi hel_sangi hel_govnr hel_mayor hel_cityr.

*****************
* sxƔÑC^[ANV
*****************.
compute a_h_shugi=age * hel_shugi.
compute a_h_sangi=age * hel_sangi.
compute a_h_govnr=age * hel_govnr.
compute a_h_mayor=age * hel_mayor.
compute a_h_cityr   =age * hel_cityr.

*****************
* A
*****************.
sort cases by Dist3catego.
split file by Dist3catego.
reg var DVshare age Mterms Mcands
 dpj ldp cgp sdp jcp prim
 dpj_prim ldp_prim
 hel_shugi hel_sangi hel_govnr hel_mayor hel_cityr
 a_h_shugi to a_h_cityr
/dep DVshare
/enter.
split file off.

************************************************************
* 3߁E5@I萔Ƃ̗LҐ
************************************************************.
temporary.
select if (Mvotes >= 1).
means Mtotalvotes by Dist3catego.


************************************************************
* 8߁E15@I萔Ƃ̒萔Ґiϒlj
************************************************************.
temporary.
select if (Mvotes >= 1).
means excand by Mdistsize.
means excand by  Dist3catego.

************************************************************
* 8߁@󂯂xEsxF`ԂƂ̌y
************************************************************.
temporary.
select if (Mvotes >= 1).
fre q8f_1 to q8f_8 q9a_1 to q9a_7.







************************************************************
* STATAp̃f[^̏o
************************************************************.
save translate outfile='/Users/ynishiza/Desktop/SOLaR2010_release3_2012May10_v1-ynSTATA.dta'
 /type=stata
 /map
 /replace
 /fieldnames
 /keep=
 id
 Mcands  Mterms
 DVshare age dpj ldp cgp sdp jcp prim dpj_prim ldp_prim
 polact1 polact2 polact3 polact4
 a_pol1 a_pol2 a_pol3 a_pol4 
 camact1 camact2 camact3
 a_cam1 a_cam2 a_cam3
 sup_shugi sup_sangi sup_govnr sup_mayor sup_cityr
 a_s_shugi a_s_sangi a_s_govnr a_s_mayor a_s_cityr
 hel_shugi hel_sangi hel_govnr hel_mayor hel_cityr
 a_h_shugi a_h_sangi a_h_govnr a_h_mayor a_h_cityr
 Dist3catego.










************************************************************
************************************************************
* 2007NnȊIʃf[^̕
************************************************************
************************************************************.

get file='Local2007-district-data_v77-yn3.sav'

*****************
* 2007NÎ݂ɌiEȂj
*****************.
select if (pref_id ne 13 and pref_id ne 47).

*****************
* [̑IiN_cand=-9jWvɊ܂߂邽߁A
* [IẮAsize
*****************.
missing values n_cand ().
compute adjusted_n_cand=n_cand.
if (n_cand = -9) adjusted_n_cand = size.
compute adjusted_over=adjusted_n_cand - size.


************************************************************
*  \1@I-I萔Ɩ[i2007Ij
************************************************************.
fre size.
crosstabs tables=adjusted_over by size
 /cells count column.

************************************************************
*  \3@I󋵂ɊւLqvi2007Ij
************************************************************.
des size adjusted_n_cand adjusted_over.




*****************
* end of file
*****************.